#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <coti/utiles.h>

float dotprod(float * v1, float * v2);

int main(int n, char * p[])
{
	float v1[3]; /* Vector creado en la pila */
	float * v2 = malloc(3*sizeof(float)); /* Vector creado en el cmulo */
	char peticion[32];
	float producto_escalar = 0;
	int i;
	printf("\n\nProducto escalar\n================\n\n");
	printf("Coordenadas del primer vector:\n\n");
	for(i=0;i<3;i++)
	{
		sprintf(peticion,"v1[%d] = ",i);
		v1[i] = pedirFloat(peticion, -HUGE_VALF, HUGE_VALF);
	}
	printf("\n\nCoordenadas del segundo vector:\n\n");
	for(i=0;i<3;i++)
	{
		sprintf(peticion,"v2[%d] = ",i);
		v2[i] = pedirFloat(peticion, -HUGE_VALF, HUGE_VALF);
	}
	producto_escalar = dotprod(v1,v2);
	printf("\n\nEl producto escalar de estos vectores es %6.2f\n\n",
			producto_escalar);
	return 0;
}

float dotprod(float * v1, float * v2)
{
	int i;
	float resultado = 0.0;
	for(i=0;i<3;i++)
	{
		resultado += v1[i]*v2[i];
	}
	return resultado;
}
