#ifndef __Registro__
#define __Registro__

#include <coti/utiles.h>

typedef struct Registro {
	char nombre[20];
	int edad;
	float talla;
} Registro;

typedef Registro * RegistroRef;

/*
	La funcin toDelimString() genera una cadena que contiene los valores
	de los campos de Registro, separados por un delimitador. El registro
	viend dado por el puntero r, y el delimitador viene dado por el
	puntero d.
 */
charRef toDelimString(RegistroRef r, charRef d);
/*
	La funcin toEncolString() genera una cadena que contiene los valores 
	de los campos de registro, escritos en columnas. El registro
	viene dado por el puntero r, y las longitudes de las columnas
	vienen dadas por el puntero w.
 */
charRef toEncolString(RegistroRef r, intRef w);
#endif
