#include <stdio.h>
#include <coti/utiles.h>
#include <errno.h>

int main(int argc, char * argv[]) {
	int numFilas = 0;
	int numCols = 0;
	int * ptabla = NULL;
	int i = 0;
	int j = 0;
	FILE * fp = NULL;
	charRef ruta = NULL;
	numFilas = pedirInt("Cual es el nmero de filas? ", 1, 10);
	numCols = pedirInt("Cual es el nmero de columnas? ", 1, 10);
	ptabla = malloc(numFilas*numCols*sizeof(int));
	for (i=0; i<numFilas; i++)
		for (j=0; j<numCols; j++)
			ptabla[i*numCols+j] = 10*i+j;
	ruta = pedir("Cual es el nombre del archivo de destino? ");
	fp = strlen(ruta) ? fopen(ruta, "w") : fopen("salida.dat", "w");
	if (fp) {
		fwrite(&numFilas, sizeof(int), 1, fp);
		fwrite(&numCols, sizeof(int), 1, fp);
		fwrite(ptabla, sizeof(int), numFilas*numCols, fp);
		fclose(fp);
		printf("\nSe ha creado el archivo %s\n\n", strlen(ruta) ? ruta
				: "salida.dat");
	} else {
		printf("\n\nError: el archivo \"%s\" %s\n\n", ruta, strerror(errno));
	}
	return 0;
}
/*
 sizeof(short)     = 2
 sizeof(int)       = 4
 sizeof(long)      = 4
 sizeof(long long) = 8
 */