#include "Registro.h"

charRef toDelimString(RegistroRef r, charRef d) {
	charRef c = NULL;
	charRef temp = malloc(1024);
	sprintf(temp, "%s%s%d%s%f", r->nombre, d, r->edad, d, r->talla);
	c = malloc(strlen(temp)+1);
	strcpy(c, temp);
	free(temp);
	return c;
}

charRef toEncolString(RegistroRef r, intRef w) {
	charRef c = NULL;
	charRef fmt = malloc(1024);
	charRef tempFormat = malloc(10);
	charRef temp = malloc(1024);
	sprintf(tempFormat, "%%%ds", w[0]);
	strcpy(fmt, "");
	strcat(fmt, tempFormat);
	sprintf(tempFormat, "%%%dd", w[1]);
	strcat(fmt, tempFormat);
	sprintf(tempFormat, "%%%df", w[2]);
	strcat(fmt, tempFormat);
	sprintf(temp, fmt, r->nombre, r->edad, r->talla);
	c = malloc(strlen(temp)+1);
	strcpy(c, temp);
	free(temp);
	free(fmt);
	return c;
}

RegistroRef toRecordFromDelimited(charRef s, charRef d) {
	charRef copia = malloc(strlen(s)+1);
	int numCampos = 0;
	int i;
	charRef * campos = NULL;
	charRef nombre, edad, talla;
	RegistroRef r = malloc(sizeof(Registro));
	strcpy(copia, s);
	for (i=0; i<strlen(copia); i++)
		if (copia[i] == *d)
			numCampos++;
	numCampos++;
	campos = malloc(sizeof(charRef)*numCampos);
	for (i=0; i<numCampos; i++)
		campos[i] = strsep(&copia, d);

	nombre = campos[0];
	edad = campos[1];
	talla = campos[2];

	strcpy(r->nombre, nombre);
	r->edad = strtol(edad, NULL, 10);
	r->talla = strtof(talla, NULL);

	return r;
}

RegistroRef toRecordFromColumnar(charRef s, intRef w) {
	RegistroRef r = NULL;
	return r;
}