#include "Registro.h"
#include <errno.h>

int main(int contador, char * argumentos[]) {
	RegistroRef *lista= NULL;
	FILE * fp= NULL;
	charRef delimitador= NULL;
	charRef nombreArchivo= NULL;
	charRef linea= NULL;
	int numRegistros = 0;
	int i = 0;

	printf("\n\nArchivo de formato delimitado (lectura)\n\n");
	nombreArchivo = pedir("Escriba el nombre del archivo: ");
	delimitador = pedir("Escriba el delimitador:        ");
	fp = fopen(nombreArchivo, "r");
	if (NULL == fp) {
		printf("Error: no se pudo abrir el archivo %s\n", nombreArchivo);
		printf("\n\n%s\n\n", strerror(errno));
		return 1;
	}
	linea = malloc(1024);
	while (!feof(fp)) {
		strcpy(linea, "");
		fgets(linea, 1023, fp);
		if (strlen(linea))
			numRegistros++;
	}
	printf("\n\nSe han encontrado %d registros.\n\n", numRegistros);
	rewind(fp);
	lista = malloc(numRegistros*sizeof(RegistroRef));
	for (i=0; i<numRegistros; i++) {
		fgets(linea, 1023, fp);
		lista[i] = toRecordFromDelimited(linea, delimitador);
	}
	fclose(fp);
	printf("\n\nEl archivo %s se ha ledo correctamente.\n\n", nombreArchivo);
	printf("\n\nLa lista de registros es la siguiente:\n\n");
	for (i=0; i<numRegistros; i++)
		printf("%s %d %f\n", lista[i]->nombre, lista[i]->edad, lista[i]->talla);

	printf("\n\nTerminacin normal del programa.\n\n");
	return 0;
}
