#include "Registro.h"
#include <errno.h>

int main(int contador, char * argumentos[]) {
	RegistroRef *lista= NULL;
	FILE * fp= NULL;
	charRef nombreArchivo= NULL;
	charRef linea= NULL;
	charRef cadena= NULL;
	int numRegistros = 0;
	int i = 0;
	intRef anchuras= NULL;

	printf("\n\nArchivo de formato encolumnado (lectura)\n\n");
	nombreArchivo = pedir("Escriba el nombre del archivo: ");
	printf("\n\nEscriba las anchuras de las columnas:\n\n");

	anchuras = malloc(3*sizeof(int));
	linea = malloc(1024);
	cadena = malloc(1024);

	for (i=0; i<3; i++) {
		sprintf(cadena, "Deme la anchura de la columna n %d: ", i);
		anchuras[i] = pedirInt(cadena, 1, 32);
	}
	fp = fopen(nombreArchivo, "r");
	if (NULL == fp) {
		printf("Error: no se pudo abrir el archivo %s\n", nombreArchivo);
		printf("\n\n%s\n\n", strerror(errno));
		return 1;
	}
	while (!feof(fp)) {
		strcpy(linea, "");
		fgets(linea, 1023, fp);
		if (strlen(linea))
			numRegistros++;
	}
	printf("\n\nSe han encontrado %d registros.\n\n", numRegistros);
	rewind(fp);
	lista = malloc(numRegistros*sizeof(RegistroRef));
	for (i=0; i<numRegistros; i++) {
		fgets(linea, 1023, fp);
		lista[i] = toRecordFromColumnar(linea, anchuras);
	}
	fclose(fp);
	printf("\n\nEl archivo %s se ha ledo correctamente.\n\n", nombreArchivo);
	printf("\n\nLa lista de registros es la siguiente:\n\n");
	for (i=0; i<numRegistros; i++)
		printf("%s %d %f\n", lista[i]->nombre, lista[i]->edad, lista[i]->talla);

	printf("\n\nTerminacin normal del programa.\n\n");
	free(linea);
	free(cadena);
	return 0;
}
