#include <stdio.h>
#include <coti/utiles.h>
#include "Registro.h"
#include <errno.h>

int main(int argc, char * argv[]) {
	RegistroRef lista = NULL;
	charRef archivo = NULL;
	int i = 0;
	int numRegistros = 0;
	int numBytes = 0;
	FILE * fp = NULL;
	archivo = pedir("Dgame el nombre del archivo: ");
	fp = fopen(archivo, "r");
	if (!fp) {
		printf("Saliendo - %s\n\n", strerror(errno));
		return 1;
	}
	fseek(fp, 0L, SEEK_END);
	numBytes = ftell(fp);
	numRegistros = numBytes/sizeof(Registro);
	printf("\n\nSe han ledo %d registros.\n\n", numRegistros);
	rewind(fp);
	lista = malloc(numBytes);
	if (fread(lista, sizeof(Registro), numRegistros, fp) < numRegistros) {
		printf("\n\nError de lectura - %s\n\n", strerror(errno));
	}
	fclose(fp);
	printf("\n\nListado de registros ledos\n\n");
	printf("+-----+----------------------+-----+-------+\n");
	for (i=0; i<numRegistros; i++)
		printf("| %3d %s\n", i, toString(lista+i));
	printf("+-----+----------------------+-----+-------+\n");
	return 0;
}
