#include <coti/utiles.h>

#ifndef __TIPOS__
#define __TIPOS__
/*
 Aqu se declaran los tipos que aportan la funcionalidad especfica
 del programa construido.
 */
typedef struct Nodo {
	int edad;
	struct Nodo * sig;
} Nodo;

typedef Nodo * NodoRef;

/*
 Aqu se adeca el tipo Globales a su utilizacin
 con la coleccin de tipos definidos anteriormente.
 */
typedef struct Globales {
	NodoRef ppio, fin, nodoPuesto;

	int salirDePrograma;
} Globales;

typedef Globales * GlobRef;

typedef void (*funRef)(GlobRef);

#endif
