#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "tipos.h"
#include "cda.h"
#include "aplicacion.h"
/*
	Normalmente, ser preciso incluir aqu otros archivos
	de encabezado que aporten la funcionalidad deseada
	para el programa. Concretamente, se aadirn aqu los
	encabezados que aporten aquellos prototipos que deban
	figurar en funciones[].
 */
#include "lista.h"

int main(int argc, char * argv[])
{
	GlobRef g = malloc(sizeof(Globales));

	/*
		Zona que se modifica para dotar a esta aplicacin de una
		funcionalidad concreta.

			menu        = ...
			opciones    = ...
			pfunciones  = ...
	 */
	charRef menu        = "\
		A) Aadir al ppio    B) Aadir al final\n\
		C) Quitar ppio       D) Quitar final\n\
		E) Vaciar lista      F) Insertar ordenado\n\
		G) Borrar nodo       M) Mostrar lista\n\
		S) Salir\n\
		Seleccione una opcin --> ";
	char opciones[]     = "ABCDEFGMS";
	funRef funciones[]  = { 
			ponerPrincipio,
			ponerFinal,
			quitarPrincipio,
			quitarFinal,
			vaciarLista,
			insertarOrdenado,
			borrarNodo,
			mostrarLista,
			ssalir,
			NULL
	};

	/*
		Zona que permanece inalterada para programas de un solo men.

	 */
	 arranque(g, argc, argv);
	 distribuidor(g,menu,opciones,funciones);
	 parada(g);
	 printf("\n\nTerminacin normal\n\n");
	 return 0;
}