#include <stdio.h>
#include <math.h>

int main(int argc, char *argv[])
{
	double a, b, c;
	double discriminante;
	double x1,x2;              /* Por si hay races reales y distintas   */
	double x;                  /* Por si hay una raz real doble         */
	double parte_real,
	parte_imaginaria;   /* Por si hay races complejas conjugadas */

	printf("\nResolucin de un sistema de segundo grado.\n");
	printf("==========================================\n\n");
	printf("ax^2 + bx + c = 0\n\n");
	printf("a = ");
	scanf("%lf",&a);
	printf("b = ");
	scanf("%lf",&b);
	printf("c = ");
	scanf("%lf",&c);
	printf("\nLa ecuacin resuelta es %.2fx^2 %+.2lfx %+.2lf = 0\n\n",a, b, c);
	discriminante = pow(b,2.0) - 4.0*a*c;
	if (discriminante < 0.0)
	{
		parte_real       = -b/(2.0*a);
		parte_imaginaria = sqrt(-discriminante)/(2.0*a);
		printf("Soluciones complejas conjugadas: %.2f %+.2lfi y %.2lf %+.2lfi\n",
				parte_real, parte_imaginaria, parte_real, -parte_imaginaria);
	}
	else
	{
		if (discriminante > 0.0)
		{
			x1 = (-b - sqrt(discriminante))/(2.0*a);
			x2 = (-b + sqrt(discriminante))/(2.0*a);
			printf("Soluciones reales y distintas: %.2lf y %.2lf\n",
					x1, x2);
		}
		else
		{
			x = -b/(2.0*a);
			printf("Solucin real doble: %.2lf\n", x);
		}
	}
	printf("\n\n");
	return 0;
}
/*
	Datos de prueba

	a			b			c						Soluciones
	1     2     1           x = -1          ( raz real doble             )
	1     0     1           x1 = i, x2 = -i ( races complejas conjugadas )
	1    -3     2           x1 = 1, x2 = 2  ( races reales y distintas   )
 */