/*
 *  basededatos.c
 *  Cap04Finales02
 *
 *  Created by bruegel on 21/11/07.
 *  Copyright 2007 JRSoft. All rights reserved.
 *
 */
#include <string.h>
#include <stdio.h>
#include "basededatos.h"

void rellenar(RegistroRef p) {

	printf("\nNombre: ");
	fgets(p->nombre,BYTES_NOMBRE,stdin);
	p->nombre[strlen(p->nombre)-1]='\0';

	printf("\nDireccin: ");
	fgets(p->direccion,BYTES_DIRECCION,stdin);
	p->direccion[strlen(p->direccion)-1]='\0';

	printf("\nEdad: ");
	scanf("%d%*c", &p->edad);
}
void mostrar(RegistroRef p) {
	charRef formato = "%-20s%40s%6d\n";
	printf(formato,p->nombre, p->direccion, p->edad);
}
void listado(RegistroRef p){
	int i;
	printf("\nListado de registros\n");
	for(i=0;i<MAX_REGISTROS;i++)
	{
		if (strlen(p[i].nombre)!= 0)
		{
			printf("%4d ", i);
			mostrar(p+i);
		}
	}
}
void altas(ModeloRef m){
	int i;
	/*
	 Buscar un registro vaco. Si lo hay, rellenarlo,
	 y si no, emitir un mensaje de error.
	 */
	int n = -1;
	for(i=0;i < m->numRegistros;i++)
		if (strlen(m->p[i].nombre) == 0)
		{
			n = i;
			break;
		}
	if (-1 != n)
	{
		rellenar(m->p + i);
	}
	else {
		printf("\nPerdn, la base de datos est llena\n");
	}

}
void bajas(ModeloRef m){
	int registroBorrado;
	listado(m->p);
	do
	{
		printf("Escriba el numero del registro que quiere borrar: ");
		scanf("%d%*c", &registroBorrado);
	} while (registroBorrado < 0 || registroBorrado >= MAX_REGISTROS);
	strcpy(m->p[registroBorrado].nombre,"");
	strcpy(m->p[registroBorrado].direccion,"");
	m->p[registroBorrado].edad = -1;
}
void modificaciones(ModeloRef m){
	int registroModificado;
	listado(m->p);
	do
	{
		printf("Escriba el numero del registro que quiere modificar: ");
		scanf("%d%*c", &registroModificado);
	} while (registroModificado < 0 || registroModificado >= MAX_REGISTROS);
	rellenar(m->p + registroModificado);
}
void informes(ModeloRef m){
	int edadBuscada, i;
	do
	{
		printf("Dgame la edad que busca: ");
		scanf("%d%*c", &edadBuscada);
	} while (edadBuscada < 0 || edadBuscada >= 100);
	for(i=0;i<MAX_REGISTROS;i++)
		if (m->p[i].edad == edadBuscada)
		{
			printf("%4d ", i);
			mostrar(m->p+i);
		}
}
