#ifndef BASEDEDATOS_H_
#define BASEDEDATOS_H_


#define MAX_REGISTROS 5
#define BYTES_NOMBRE 20
#define BYTES_DIRECCION 40
#include <coti/utiles.h>

struct Registro {
	char nombre[BYTES_NOMBRE];
	char direccion[BYTES_DIRECCION];
	int edad;
};

typedef struct Registro Registro;
typedef Registro * RegistroRef;

typedef struct Modelo {
	RegistroRef p;
	int numRegistros;
} Modelo;

typedef Modelo * ModeloRef;

void altas(ModeloRef);
void bajas(ModeloRef);
void modificaciones(ModeloRef);
void informes(ModeloRef);

#endif /*BASEDEDATOS_H_*/
