#include <stdio.h>

int main(int argc, char * argv[])
{
	float A[2][2] = { 
			{1.0, 2.0},
			{3.0, 4.0}
	};							//Matriz de coeficientes
	float B[2] 		= { 1.0, 2.0 };		// Vector de trminos independientes
	float X[2]; 										//Vector de Soluciones
	float determinante;
	float det_sup_1, det_sup_2;
	determinante = A[0][0]*A[1][1] - A[0][1]*A[1][0];
	printf("\n\nSolucin de un sistema lineal 2x2\n");
	printf("=================================\n\n");
	if (0 == determinante)
	{
		printf("\n\nEste sistema no tiene solucin.\n\n");
		return 1;
	}
	det_sup_1 = B[0]*A[1][1] - A[0][1]*B[1];
	det_sup_2 = A[0][0]*B[1] - B[0]*A[1][0];
	X[0] = det_sup_1 / determinante;
	X[1] = det_sup_2 / determinante;
	printf("\nSistema estudiado:\n\n");
	printf("| %6.2f %6.2f |   |   X1  |   | %6.2f |\n", A[0][0], A[0][1], B[0]);
	printf("|               | x |       | = |        |\n");
	printf("| %6.2f %6.2f |   |   X2  |   | %6.2f |\n", A[1][0], A[1][1], B[1]);
	printf("\n\nSolucin\n========\n\n");
	printf("    | %6.2f |\n",X[0]);
	printf("X = |        |\n");
	printf("    | %6.2f |\n\n\n",X[1]);
	return 0;
}
