#include <stdio.h>
#include <coti/utiles.h>
#include <ctype.h>

charRef cuadrado(void);
charRef rectangulo(void);
charRef trapecio(void);
charRef ssalir(void);

typedef charRef (*funRef)(void);
/*
 */
int main(int argc, char *argv[])
{
	funRef fm[256];
	funRef funcionesPropias[] 	= { cuadrado, rectangulo, trapecio, 
			ssalir, NULL};
	charRef menu     = "a) Cuadrado b)Rectangulo c)Trapecio s)Salir ";
	charRef opciones = "ABCS";
	charRef orden;
	char opcion;
	charRef cadena;
	int i;
	for(i=0;i<256;i++) fm[i] = NULL;
	for(i=0;i<strlen(opciones);i++)
		fm[(int)opciones[i]] = funcionesPropias[i];
	do
	{
		printf(menu);
		orden = sgets();
		opcion = toupper(orden[0]);
		if(NULL != fm[(int)opcion])
		{
			cadena = fm[(int)opcion]();
			printf(cadena);
		}
		else
			printf("\n\nOpcin incorrecta\a\n\n");
	}
	while ('S' != opcion);
	return 0;
}

charRef cuadrado(void)
{
	charRef p = "+---+\n|   |\n|   |\n+---+\n";
	return p;
}
charRef trapecio(void)
{
	charRef p = "   +---+\n  /     \\\n /       \\\n+---------+\n";
	return p;
}
charRef rectangulo(void)
{
	charRef p = "+---------+   \n|         |\n|         |\n+---------+\n";
	return p;
}
charRef ssalir(void)
{
	charRef p = "\n\nSaliendo del programa.\n\n";
	return p;
}
